﻿@{
    Layout = null;
}
<fieldset>
    <legend>Header</legend>
    <div class="input-control checkbox" data-role="input-control">
        <label>
            <input ng-model="Model.MailTemplate.HasHeader" type="checkbox">
            <span class="check"></span>
            Show header
        </label>
    </div>
    <div ng-show="Model.MailTemplate.HasHeader" class="input-control checkbox" data-role="input-control">
        <label>
            <input ng-model="Model.MailTemplate.HasLogo" type="checkbox">
            <span class="check"></span>
            Show logo
        </label>
    </div>
    <div ng-show="Model.MailTemplate.HasHeader" class="input-control checkbox" data-role="input-control">
        <label>
            <input ng-model="Model.MailTemplate.HasHeaderText" type="checkbox">
            <span class="check"></span>
            Show text in header
        </label>
    </div>
    <div ng-show="Model.MailTemplate.HasHeader">
        <label ng-show="Model.MailTemplate.HasHeaderText">Header text</label>
        <div ng-show="Model.MailTemplate.HasHeaderText" class="input-control text" data-role="input-control">
            <input ng-model="Model.MailTemplate.HeaderText" type="text" placeholder="type text">
            <button type="button" class="btn-clear" tabindex="-1"></button>
        </div>
        <div class="clearfix"></div>
        <label>Header background</label>

        <div>
            <div class="input-control radio default-style place-left one-fourth padding-right20 no-margin" data-role="input-control">
                <label class="block" ng-click="typeBannerHeader('upload')">
                    <input ng-model="headerBackMode"  value="UploadCover" type="radio" />
                    <span class="check"></span>
                    Upload
                </label>
            </div>
            <div class="input-control radio default-style place-left one-fourth padding-right20 no-margin" data-role="input-control">
                <label class="block" ng-click="typeBannerHeader('gallery')">
                    <input ng-model="headerBackMode" value="FromGallery" type="radio" />
                    <span class="check"></span>
                    From gallery
                </label>
            </div>
            <div class="input-control radio default-style  place-left   one-fourth padding-right20 no-margin" data-role="input-control">
                <label class="block" ng-click="typeBannerHeader('url')">
                    <input ng-model="headerBackMode" value="Url" type="radio" />
                    <span class="check"></span>
                    By URL
                </label>
            </div>
            <div class="input-control radio default-style place-left one-fourth padding-right20 no-margin" data-role="input-control">
                <label class="block" ng-click="typeBannerHeader('none')">
                    <input ng-model="headerBackMode" value="None" type="radio" ng-change="setHeaderBackgroundImageToNone()" />
                    <span class="check"></span>
                    None
                </label>
            </div>
        </div>


        <div class="clearfix"></div>
        <div ng-show="headerBackMode == 'FromGallery'">
            <label class="label-head">Choose from the gallery</label>
            <div class="one-third place-left existing-image" ng-class="{selected : getHeaderBackground() == image}" ng-repeat="image in existingImages">
                <img ng-click="setHeaderBackground(image)" ng-src="{{image}}" />
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="clearfix"></div>
        @*<div ng-show="headerBackMode == 'Upload'">
                <label>Upload background</label>
                <div class="input-control file" data-role="input-control">
                    <input ng-model="Model.MailTemplate.HeaderBackground" style="display: none" type="file">
                    <button style="background-color:#fff;" type="button" class="btn-file"></button>
                </div>
            </div>
            <div class="clearfix"></div>*@

        <div ng-show="headerBackMode == 'Url'">
            <label class="label-head">Background URL</label>
            <div class="input-control text" data-role="input-control">
                <input ng-model="Model.MailTemplate.HeaderBackground" type="text" placeholder="URL">
                <button type="button" class="btn-clear" tabindex="-1"></button>
            </div>
        </div>
        <div class="clearfix"></div>
        <div ng-show="headerBackMode == 'UploadCover'">
            <div class="grid fluid">
                <div class="row">
                    <div class="span12 text-center">
                        <div class="input-file-simulator">
                            <label for="cropper1"><span>Choose an image to upload</span></label>
                            <input id="cropper1" ng-click="hideCropper2()" type="file" accept="image/x-png,image/gif,image/jpeg,image/jpg" img-cropper-fileread image="cropper.sourceImage" onchange="angular.element(this).scope().validateImage(this,'header')" />
                        </div>
                        
                        <div>
                            <canvas ng-if="showCropper1==true && positionBanner=='header'" width="628" height="250" id="canvas" image-cropper image="cropper.sourceImage" cropped-image="cropper.croppedImage" crop-width="628" crop-height="250" min-width="100" min-height="50" crop-area-bounds="bounds"></canvas>
                        </div>

                        <div ng-if="showCropper1==true && positionBanner=='header'" ng-show="cropper.croppedImage!=null"><img ng-src="{{cropper.croppedImage}}" /></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</fieldset>
